Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core.provision
Class SoftwareLoad.SoftwareDownloadAttributes

    java.lang.Object
      org.jini.rio.core.provision.SoftwareLoad.SoftwareDownloadAttributes

All Implemented Interfaces:
  Serializable

Enclosing class:
  SoftwareLoad

    public static class SoftwareLoad.SoftwareDownloadAttributes

extends Object
implements Serializable

The SoftwareDownloadAttributes class defines the attributes needed to download a software element

See Also:
  Serialized Form

Constructor Summary
`SoftwareLoad.SoftwareDownloadAttributes(URL location, String installRoot, boolean unarchive)` Create a DownloadAttribute instance

Method Summary
`int` | `getDownloadSize()` Get the download size
`String` | `getInstallRoot()` Get the installation root
`URL` | `getLocation()` Get the download location
`boolean` | `unarchive()` Get whether to unarchive the downloaded software

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftwareLoad.SoftwareDownloadAttributes

    public SoftwareLoad.SoftwareDownloadAttributes(URL location,
                                                   String installRoot,
                                                   boolean unarchive)

  Create a DownloadAttribute instance

  Parameters:
    `location` - The location of the software element to download
    `installRoot` - The high-level directory for installation
    `unarchive` - Whether to unarchive the downloaded software

Method Detail

### getDownloadSize

    public int getDownloadSize()
                        throws IOException

  Get the download size

  Returns:
    The size of the download
  Throws:
    `IOException` - If there are errors accessing the location

### getLocation

    public URL getLocation()

  Get the download location

  Returns:
    The location of the software element to download

### getInstallRoot

    public String getInstallRoot()

  Get the installation root

  Returns:
    The high-level directory for installation. The installRoot directory is a relative directory, and will be appended to the directory determined by the downloading entity

### unarchive

    public boolean unarchive()

  Get whether to unarchive the downloaded software

  Returns:
    True if the software should be unarchived, false if not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.